                          Computer Science 101
                                Quiz H      Name ______________________

1. What is the value of the following expressions:

   a. (5 / 2) * 4.0 =




   b. (5 / 2.0) * 4 =



Consider the following sentence in the image manipulation language:


    fade
    {
       factor 0.4
       in0    dive.ppm
       out    fade.ppm
    }


2. What format code should be used to read in the word "fade"

   a. %c                              b. %d

   c. %lf                             d. %s


3. What format code should be used to read the }

   a. %c                              b. %d

   c. %lf                             d. %s


4. In parsing this sentence which of the following words will
   be passed to the table_lookup() function (Circle all that
   apply)

   a. fade                             b. factor

   c. dive.ppm                         d. {

5. The number of elements in a lookup table named table is:

   a. sizeof(table)                    b. sizeof(table/table[0]))

   c. sizeof(table[0]) / sizeof(table) d. sizeof(table)/sizeof(table[0])



